---
title: "Returns all request headers as a JSON object."
url: "https://developer.rucho.org/apis/rucho/versions/5bdf1bcb-8db4-40f1-a293-72c7198e26c8/operations/headers_handler"
---

> Full API specification: https://developer.rucho.org/apis/rucho/versions/5bdf1bcb-8db4-40f1-a293-72c7198e26c8.md

# Returns all request headers as a JSON object.

`GET` `/headers`

Operation ID: `headers_handler`

Useful for debugging what headers are being sent by the client, including auth tokens, proxy headers, and custom headers. # HTTP Method: - `GET` # Responses: - `200 OK`: Returns a JSON object containing all request headers.

## Responses

- `200` - Returns all request headers

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: rucho
  version: 1.6.0
servers:
  - url: https://rucho.org
    description: Production (EKS us-east-2, behind Kong)
paths:
  /headers:
    get:
      tags:
        - crate::routes::core_routes
      summary: Returns all request headers as a JSON object.
      description: |-
        Useful for debugging what headers are being sent by the client,
        including auth tokens, proxy headers, and custom headers.

        # HTTP Method:
        - `GET`

        # Responses:
        - `200 OK`: Returns a JSON object containing all request headers.
      operationId: headers_handler
      responses:
        "200":
          description: Returns all request headers
          content:
            application/json:
              schema: {}
```
